Index: prisma/seed.js
===================================================================
--- prisma/seed.js	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
+++ prisma/seed.js	(revision 3c5302a84bc603a5b071d8babfaca46443a0e1c8)
@@ -4,116 +4,75 @@
 
 async function main() {
-  console.log('🌱 Seeding database...');
+  // Clear existing data
+  await prisma.service.deleteMany();
+  await prisma.tenant.deleteMany();
 
-  // Create Customers
-  const customer1 = await prisma.customer.create({
-    data: {
-      name: 'Acme Corp',
-      email: 'contact@acme.com',
-      street: '123 Main St',
-      city: 'New York',
-      country: 'USA',
-      state: 'NY',
-      zip: '10001',
-      phoneNumber: '+1 555-555-5555',
-      vatNumber: 'US123456789',
-      companyNumber: '123456789',
-      representative: 'John Doe',
-      status: 'ACTIVE',
-      logoUrl: 'https://example.com/logo.png',
+  // Define default tenant data
+  const tenantData = {
+    name: "Default Company",
+    email: "contact@defaultcompany.com",
+    address: {
+      street: "123 Business Street",
+      city: "Business City",
+      state: "BS",
+      zip: "12345",
+      country: "United States"
     },
+    phoneNumber: "+1 234 567 8900",
+    representative: "John Doe",
+    lastInvoiceNumber: "1",
+    logoUrl: "https://example.com/default-logo.png",
+    vatNumber: "VAT123456789",
+    companyNumber: "COMP123456",
+    bankAccounts: {
+      eur: {
+        accountNumber: "1234567890",
+        routingNumber: "987654321",
+        bicSwift: "DEFBANKXXX",
+        iban: "DE89370400440532013000"
+      },
+      usd: {
+        accountNumber: "0987654321",
+        routingNumber: "123456789",
+        bicSwift: "DEFBANKXXX",
+        iban: "US89370400440532013000"
+      }
+    },
+    // Add services along with the tenant creation
+    services: {
+      create: [
+        {
+          name: "Web Development",
+          sprint: 5000,
+          hour: 150,
+          month: 8000
+        },
+        {
+          name: "UI/UX Design",
+          sprint: 3000,
+          hour: 120,
+          month: 6000
+        },
+        {
+          name: "Consulting",
+          sprint: 4000,
+          hour: 200,
+          month: 7000
+        }
+      ]
+    }
+  };
+
+  // Create default tenant with services
+  const defaultTenant = await prisma.tenant.create({
+    data: tenantData,
+    include: {
+      services: true
+    }
   });
 
-  const customer2 = await prisma.customer.create({
-    data: {
-      name: 'Globex Ltd.',
-      email: 'info@globex.com',
-      street: '456 Industrial Rd',
-      city: 'Los Angeles',
-      country: 'USA',
-      state: 'CA',
-      zip: '90001',
-      phoneNumber: '+1 555-123-4567',
-      vatNumber: 'US987654321',
-      companyNumber: '987654321',
-      representative: 'Jane Smith',
-      status: 'INACTIVE',
-      logoUrl: 'https://example.com/logo2.png',
-    },
-  });
+  console.log('Seeded default tenant:', defaultTenant);
 
-  // Create Bank Accounts
-  await prisma.bankAccount.createMany({
-    data: [
-      {
-        customerId: customer1.id,
-        accountNumber: '1234567890',
-        bicSwift: 'ACMEUS33',
-        iban: 'US12345678901234567890',
-        routingNumber: '111000025',
-        currency: 'USD',
-      },
-      {
-        customerId: customer2.id,
-        accountNumber: '0987654321',
-        bicSwift: 'GLOBEXUS12',
-        iban: 'US09876543210987654321',
-        routingNumber: '222000033',
-        currency: 'EUR',
-      },
-    ],
-  });
-
-  // Create Services
-  const service1 = await prisma.service.create({
-    data: {
-      name: 'Web Development',
-      sprintPrice: 5000.0,
-      hourPrice: 100.0,
-      monthPrice: 20000.0,
-    },
-  });
-
-  const service2 = await prisma.service.create({
-    data: {
-      name: 'SEO Optimization',
-      sprintPrice: 3000.0,
-      hourPrice: 75.0,
-      monthPrice: 12000.0,
-    },
-  });
-
-  // Create Invoices
-  const invoice1 = await prisma.invoice.create({
-    data: {
-      dueDate: new Date('2025-03-15'),
-      status: 'PENDING',
-      currency: 'USD',
-      quantityType: 'HOUR',
-      subTotal: 5000.0,
-      createDate: new Date(),
-      month: 'FEBRUARY',
-      discount: 0.0,
-      taxes: 500.0,
-      totalAmount: 5500.0,
-      invoiceNumber: 'INV-2025-001',
-      pdfRef: 'https://example.com/invoice1.pdf',
-      invoiceFromId: customer1.id,
-      invoiceToId: customer2.id,
-    },
-  });
-
-  // Create Invoice Items
-  await prisma.invoiceItem.create({
-    data: {
-      title: 'Web Development - Sprint 1',
-      price: 5000.0,
-      total: 5000.0,
-      quantity: 1,
-      description: 'Development of the MVP frontend',
-      serviceId: service1.id,
-      invoiceId: invoice1.id,
-    },
-  });
+  console.log('🌱 Seeding database...');
 
   console.log('✅ Seeding complete!');
@@ -122,5 +81,5 @@
 main()
   .catch((e) => {
-    console.error(e);
+    console.error('Error seeding database:', e);
     process.exit(1);
   })
